'use server';

import { FetchDataSteps } from '@/components/default/tutorial';
import { InfoIcon } from 'lucide-react';
import { getUser } from '@/lib/actions';
import type { User } from '@/utils/supabase';

const HomePage = async () => {
  const response = await getUser();
  if (!response.success || !response.data) {
    return (
      <main className='w-full items-center justify-center'>
        <div className='flex p-5 items-center justify-center'>
          <h1>Make sure you can sign in!</h1>
        </div>
      </main>
    );
  }
  const user: User = response.data;
  return (
    <div className='flex-1 w-full flex flex-col gap-12'>
      <div className='w-full'>
        <div
          className='bg-accent text-sm p-3 px-5
          rounded-md text-foreground flex gap-3 items-center'
        >
          <InfoIcon size='16' strokeWidth={2} />
          This is a protected component that you can only see as an
          authenticated user
        </div>
      </div>
      <div className='flex flex-col gap-2 items-start'>
        <h2 className='font-bold text-2xl mb-4'>Your user details</h2>
        <pre
          className='text-xs font-mono p-3 rounded
          border max-h-32 overflow-auto'
        >
          {JSON.stringify(user, null, 2)}
        </pre>
      </div>
      <div>
        <h2 className='font-bold text-2xl mb-4'>Next steps</h2>
        <FetchDataSteps />
      </div>
    </div>
  );
};
export default HomePage;
